#
# spec file for package python-Pallets-Sphinx-Themes
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-Pallets-Sphinx-Themes
VCS: https://src.suse.de/SLFO-pool/python-Pallets-Sphinx-Themes#8ec3abf5f5c8efb71166fcb44b5a9a7f2ec93f9e44b45392099553435287e068
Version:        2.2.0
Release:        160000.1.4
Summary:        Themes for the Pallets projects
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/pallets/pallets-sphinx-themes/
Source:         https://files.pythonhosted.org/packages/source/P/Pallets-Sphinx-Themes/pallets_sphinx_themes-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx >= 3.7}
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module packaging}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module sphinx-notfound-page}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 5
Requires:       python-packaging
Requires:       python-sphinx-notfound-page
BuildArch:      noarch
%python_subpackages

%description
Themes for the Pallets projects. If you’re writing an extension, use
the appropriate theme to make your documentation look consistent.
Available themes: flask, jinja, werkzeug, click

%prep
%setup -q -n pallets_sphinx_themes-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%doc README.md CHANGES.rst
%{python_sitelib}/pallets_sphinx_themes/
%{python_sitelib}/pallets_sphinx_themes-%{version}.dist-info

%changelog
* Fri Oct 18 2024 dmueller@suse.com
- update to 2.2.0:
  * Get canonical URL from environment variable when building on
    Read the Docs. :pr:`117`
  * New version warning banner. Use JavaScript to query PyPI when
    viewing a page, rather than baking the warning into the
    build. New builds of old versions are no longer required for
    the banner to be correct. :pr:`117`
  * Generate 404 page using the sphinx-notfound-page extension.
    This fixes the URLs when the page is hosted so that it loads
    the CSS. :issue:`34`
  * Remove handling for singlehtml_sidebars config which predated
    Sphinx's support. :pr:`119`
  * Remove "babel" and "platter" theme variants which were
    undocumented and did not appear to be used by the relevant
    projects. :pr:`120`
* Sun Jun 30 2024 dmueller@suse.com
- update to 2.1.3:
  * Allow Sphinx's parallel build feature. :issue:`88`
  * Use modern packaging metadata with pyproject.toml instead of
    setup.cfg.
  * Use flit_core instead of setuptools as build backend.
  * Compatibility with changes in Sphinx 7.3. :pr:`100`
* Thu Sep  7 2023 dmueller@suse.com
- update to 2.1.1:
  * Remove leftover Python 2 compatibility code. :pr:`69`
  * Dotted underlines on links are smaller. :issue:`70`
* Tue May 23 2023 kastl@b1-systems.de
- move sle15 macro to top
* Mon May 22 2023 dmueller@suse.com
- update to 2.1.0:
  * Drop support for Python 3.6 and 3.7.
  * Require Sphinx >= 3.
  * Remove previously deprecated code.
  * Fix table of contents overflow issue.
* Fri Apr 21 2023 dmueller@suse.com
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 mcepl@suse.com
- Make calling of %%{sle15modernpython} optional.
* Fri Jan  6 2023 dmueller@suse.com
- update to 2.0.3:
  * Fix compatibility with ``packaging>=22``.
* Mon Sep 12 2022 arun@gmx.de
- initial package
